Skip to main content
POST
/
ai
/
actor-projects
/
{project_id}
/
threads
Create project thread
curl --request POST \
  --url https://api.wacht.dev/ai/actor-projects/{project_id}/threads \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "agent_id": "<string>",
  "system_instructions": "<string>",
  "thread_purpose": "<string>",
  "responsibility": "<string>",
  "reusable": true,
  "accepts_assignments": true,
  "capability_tags": [
    "<string>"
  ],
  "metadata": {}
}
'
{
  "id": "<string>",
  "deployment_id": "<string>",
  "actor_id": "<string>",
  "project_id": "<string>",
  "title": "<string>",
  "thread_kind": "<string>",
  "thread_visibility": "<string>",
  "thread_purpose": "<string>",
  "responsibility": "<string>",
  "reusable": true,
  "accepts_assignments": true,
  "capability_tags": [
    "<string>"
  ],
  "status": "<string>",
  "system_instructions": "<string>",
  "last_activity_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "execution_state": {},
  "next_event_sequence": 123,
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "archived_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

project_id
string
required

Body

application/json
title
string
required
agent_id
string | null
system_instructions
string | null
thread_purpose
string | null
responsibility
string | null
reusable
boolean | null
accepts_assignments
boolean | null
capability_tags
string[] | null
metadata
object

Response

200 - application/json

Created thread

id
string
deployment_id
string
actor_id
string
project_id
string
title
string
thread_kind
string
thread_visibility
string
thread_purpose
string
responsibility
string | null
reusable
boolean
accepts_assignments
boolean
capability_tags
string[]
status
string
system_instructions
string | null
last_activity_at
string<date-time>
completed_at
string<date-time> | null
execution_state
object
next_event_sequence
integer
metadata
object
created_at
string<date-time>
updated_at
string<date-time>
archived_at
string<date-time> | null